• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

Android / Amazon Fire :library:compileReleaseJavaWithJavac

T

TheMatrixHasMe

Guest
Hey Guys, I've been trying to get my games to run on android, whether through usb or creating an application and it's not working. I'm getting pretty frustrated. I keep coming across the error in the title, ':library:compileReleaseJavaWithJavac'. This never happened before I updated to the newest version, professional edition(v1.99.493).

My current set up is as follows:
Build Tools 24
Support Lib 23.3.1
Target SDK 24
Min SDK 9
Compile SDK 24

This is just going by the recommendations here:
http://help.yoyogames.com/hc/en-us/articles/216753748-SDK-Version-Support
but I've also experimented with other setups listed elsewhere and nothing seems to work.
I've also tried adding different build tools and other sdk manager installs. Right now my current sdk setup is as follows:
Under Tools:
Everythings installed (non_obsolete)
I do not have the preview installed (currently 25.2.1 rc1)
I do have the SDK Platforms for API's 24 to through 9 as well as Google API's
I Also have Some Extras:
Android Support Repository (Rev 35)
Google Play Services (Rev 32)
Google Repository (Rev 32)
Google Play APK Expansion Library (Rev 1)
Google Play Licensing Library (Rev 1)
Google Play Billing Library (Rev 5)
Google USB Drive (Rev 11)

Again, I've tried variations of the above. To reiterate, this problem came about after installing the update to the newest version 1.99.493. This is a necessary update for me as I need it for the android libPNG v1.4.19 fix.

I have the GooglePlayLicensing Ex added as well as PlayAPKExpansionExtension and do you expansion pack for android because my game was over 100 mb before I reduced the resolution.

Let me know if I can provide any more info, thanks!
 
R

Richard

Guest
The Android Support Library should be 23.2.1, not 23.3.1. You don't have this listed above in your installed API's, can you make sure you do, it is obsolete so make sure you have that checkbox ticked.

In your SDK Manager, Google Play APK Expansion Library and Google Play Licensing Library are not the correct revisions, they should be Rev 3 and Rev 2.

Also, check if you have bluetooth enabled in Global Game Settings -> Android, there is a known issue (that is fixed).

Something else to check is that your extensions are up to date, I've been seeing many people coming in with very old extensions recently.

If this doesn't work then send some logs here if you can. If you would rather not then contact us at the Helpdesk.
 
T

TheMatrixHasMe

Guest
The Android Support Library should be 23.2.1, not 23.3.1. You don't have this listed above in your installed API's, can you make sure you do, it is obsolete so make sure you have that checkbox ticked.

In your SDK Manager, Google Play APK Expansion Library and Google Play Licensing Library are not the correct revisions, they should be Rev 3 and Rev 2.

Also, check if you have bluetooth enabled in Global Game Settings -> Android, there is a known issue (that is fixed).

Something else to check is that your extensions are up to date, I've been seeing many people coming in with very old extensions recently.

If this doesn't work then send some logs here if you can. If you would rather not then contact us at the Helpdesk.
Thanks for the reply and the advice Richard. I check, and the Android Support Library is 23.2.1 both in by settings and sdk manager download. I also checked my global game settings and noticed bluetooth is disabled. I saw the bug log on this issue, thanks to you, and enabled it. However it still doesn't work. The only Extension I'm currently using in my product are exCamera, Thunderbolt effects, GooglePlayLicensingAsExt and PlayAPKExpansionExtension. They are all up to date.

In your SDK Manager, Google Play APK Expansion Library and Google Play Licensing Library are not the correct revisions, they should be Rev 3 and Rev 2.
Unfortunately this last problem I'm not sure how I fix it. These are the Rev's being provided to me by google via the SDK manager. These are up to date according the the SDK manager. Can someone guide me to make these right? To be clear I am saying the my Rev's are at 1 in the SDK manager but doesn't offer me an update to 2 or 3.
 
R

Richard

Guest
Oh the exCamera extension may be the issue here. I filled this bug report for the developer yesterday.

Can you check your lint report to see if this is the same issue?
 
T

TheMatrixHasMe

Guest
Oh the exCamera extension may be the issue here. I filled this bug report for the developer yesterday.

Can you check your lint report to see if this is the same issue?
Thanks again for helping me Richard. I checked out that bug report and the lint. Here are the problems currently provided by the lint report (atleast I think this is the lint report)
Code:
:downloader_library:preBuild UP-TO-DATE
:downloader_library:preReleaseBuild UP-TO-DATE
:downloader_library:compileReleaseNdk UP-TO-DATE
:downloader_library:compileLint
:downloader_library:copyReleaseLint UP-TO-DATE
:downloader_library:mergeReleaseProguardFiles UP-TO-DATE
:downloader_library:packageReleaseRenderscript UP-TO-DATE
:downloader_library:checkReleaseManifest
:downloader_library:preDebugAndroidTestBuild UP-TO-DATE
:downloader_library:preDebugBuild UP-TO-DATE
:downloader_library:preDebugUnitTestBuild UP-TO-DATE
:downloader_library:preReleaseUnitTestBuild UP-TO-DATE
:library:preBuild UP-TO-DATE
:library:preReleaseBuild UP-TO-DATE
:library:compileReleaseNdk UP-TO-DATE
:library:compileLint
:library:copyReleaseLint UP-TO-DATE
:library:mergeReleaseProguardFiles UP-TO-DATE
:library:packageReleaseRenderscript UP-TO-DATE
:library:checkReleaseManifest
:library:prepareReleaseDependencies
:library:compileReleaseRenderscript UP-TO-DATE
:library:generateReleaseResValues UP-TO-DATE
:library:generateReleaseResources UP-TO-DATE
:library:packageReleaseResources UP-TO-DATE
:library:compileReleaseAidl UP-TO-DATE
:library:generateReleaseBuildConfig UP-TO-DATE
:library:generateReleaseAssets UP-TO-DATE
:library:mergeReleaseAssets UP-TO-DATE
:library:processReleaseManifest UP-TO-DATE
:library:processReleaseResources UP-TO-DATE
:library:generateReleaseSources UP-TO-DATE
:library:compileReleaseJavaWithJavacZ:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:20: error: package org.apache.http does not exist
import org.apache.http.NameValuePair;
                      ^
Z:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:21: error: package org.apache.http.client.utils does not exist
import org.apache.http.client.utils.URLEncodedUtils;
                                   ^
Z:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:19: error: package org.apache.http does not exist
import org.apache.http.NameValuePair;
                      ^
Z:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:20: error: package org.apache.http.client.utils does not exist
import org.apache.http.client.utils.URLEncodedUtils;
                                   ^
Z:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:382: error: cannot find symbol
            List<NameValuePair> extraList = URLEncodedUtils.parse(rawExtras, "UTF-8");
                 ^
  symbol:   class NameValuePair
  location: class APKExpansionPolicy
Z:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:382: error: cannot find symbol
            List<NameValuePair> extraList = URLEncodedUtils.parse(rawExtras, "UTF-8");
                                            ^
  symbol:   variable URLEncodedUtils
  location: class APKExpansionPolicy
Z:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:383: error: cannot find symbol
            for (NameValuePair item : extraList) {
                 ^
  symbol:   class NameValuePair
  location: class APKExpansionPolicy
Z:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:266: error: cannot find symbol
            List<NameValuePair> extraList = URLEncodedUtils.parse(rawExtras, "UTF-8");
                 ^
  symbol:   class NameValuePair
  location: class ServerManagedPolicy
Z:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:266: error: cannot find symbol
            List<NameValuePair> extraList = URLEncodedUtils.parse(rawExtras, "UTF-8");
                                            ^
  symbol:   variable URLEncodedUtils
  location: class ServerManagedPolicy
Z:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:267: error: cannot find symbol
            for (NameValuePair item : extraList) {
                 ^
  symbol:   class NameValuePair
  location: class ServerManagedPolicy
Note: Z:\library\src\com\google\android\vending\licensing\LicenseChecker.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
10 errors
FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':library:compileReleaseJavaWithJavac'.
> Compilation failed; see the compiler error output for details.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 6.325 secs
FastCreate End End: 11:10:26 AM
Compile finished: 11:10:26 AM
FYI I removed the ex_Camera extension and it wasn't the problem.
 
R

Richard

Guest
Sorry I don't work the weekends. That's not the lint report, that's just the GM Compile log.

This may be easier just coming to the Helpdesk as I will most likely need a sample to see if I can reproduce it.

It may well be due to those revision numbers I spoke of previously, can you try clearing your SDK Manager cache and then reloading it again.
 
T

TheMatrixHasMe

Guest
Sorry I don't work the weekends. That's not the lint report, that's just the GM Compile log.

This may be easier just coming to the Helpdesk as I will most likely need a sample to see if I can reproduce it.

It may well be due to those revision numbers I spoke of previously, can you try clearing your SDK Manager cache and then reloading it again.
I cleared the sdk cache like you suggested but the revision numbers have not changed. I do think it's probably those revision numbers, that is the problem. I started a new test project called android_export_test and it went through and had a successful build. Of course, I didn't have the google play licensing or the apk expansion enabled. It's weird I can't get the proper revision numbers despite it being the current sdk download and clearing cache and reloading packages. If anyone here can help me get up to date on those revisions that would be great! I've tried google but it is one of those things that google can't seem to find relevant links for me. Thanks again for all your help Richard, I really appreciate it. I am willing to upload to the help desk but it seems that I should probably get the revision thing straightened out before I do as this is seeming to very likely be the problem.
 
Last edited by a moderator:
T

TheMatrixHasMe

Guest
I removed the enable google licensing option and use apk expansion option in global game settings. It still didn't work. So then I removed the extensions for those options from the marketplace and it worked! My best guess is that those extensions are overwriting data and/or looking for the newer revisions of their android counterparts, the ones that I don't have. Until I figure out what's going on with why I can't access the newer revisions, I will have to test without the expansions. Obviously this is a short term solution but confirms our earlier suspicions and helps confirm what the fix likely is. If anyone can help me, anyone with more knowledge of the android sdk environment and how to problem solve it, specifically how to get the newer revisions in an unorthodox way? Or if they can get the orthodox way to work for me that would be great as well! Maybe a real helpful link? Thanks!
 
P

PlayLight

Guest
Hi @TheMatrixHasMe,

The only problem shown in the log you provided, is the Apache HTTP Client. Which you can work-around by retrieving 4.1.2 (once) on compile.
(This effects the Google Play Licensing Extension)

By the sounds of it you've changed your SDK build setting a few times, so first make sure they're set correctly.
TOOLS:
Android SDK Tools (rev 25.2.2)
Android SDK Platform-tools (rev 24.0.3)
Android SDK Build-tools (rev 24.0.3)

Android 7.0 (API 24):
SDK Platform-tools
Google APIs
OR
Android 6.0 (API 23):

SDK Platform-tools
Google APIs


EXTRAS:
Android Support Repository (rev38)
Google Play services (rev 33)
Google Repository (rev 36)
Google Play APK Expansion Library (rev 3)
Google Play Billing Library (rev 5)
Google Play Licensing Library (rev 2)

Make these adjustments in GM:S Global Game Settings >> Android Tab
Build Tools: 24.0.3
Support Lib: 24.2.1
Target SDK: Target platform environment (23 OR 24 respectively)
Min SDK: lowest platform environment you want to support (9 - 24 will vary with project)
Compile SDK: 23 OR 24 respectively

EDIT: Now added to extension update 2.2.1
Now you can open the GooglePlay Licensing Extension.
- Select the Android Tap.
- Under 'Inject to Gradle Dependencies' add the following:
Code:
compile 'org.jbundle.util.osgi.wrapped:org.jbundle.util.osgi.wrapped.org.apache.http.client:4.1.2'
- CLEAR YOUR BUILD CACHE (broom icon in the tool bar).
- Compile your project.


Any other issues after amending these, we will need you to post another full log, in spoilers.
 
Last edited by a moderator:
T

TheMatrixHasMe

Guest
Hi @PlayLight
You posted for my sdk specs to include:
Google Play APK Expansion Library (rev 3)
Google Play Licensing Library (rev 2)

I just want to re-iterate that I have been unable to include these revision as per my previous posts.
Other than that, I did as you requested...it did not work and this is what went wront:
* What went wrong:
Execution failed for task ':com.companyname.Fabled_Fray:transformClassesWithJarMergingForRelease'.
> com.android.build.api.transform.TransformException: java.util.zip.ZipException: duplicate entry: org/apache/http/ConnectionClosedException.class
 
J

jackhigh24

Guest
that's ok you can still use rev1 for both of them two you listed, something else is going on here, you need to give a full log not just what it said went wrong, as it can be other things that make what it listed go wrong in the first place, you may also have to post your lint reports to, but lets start with a full log, and also did you do the inject to gradle like playlight mention, you might not have to do that but just checking if you did.
 
T

TheMatrixHasMe

Guest
@jackhigh24 I did inject it as I was hoping it was a fix. Now that it hasn't worked shall I remove it?

I don't know how to do the lint report and when I google it I can't find anything helpful for someone coming from gamemaker.

Here's the full log, I suppose. If it's not then let me know how to get it.
Compile started: 1:28:08 PM
Reading project file....finished.
Compile Constants...finished.
Remove DnD...finished.
Compile Scripts...finished.
Compile Objects...finished.
Compile Timelines...finished.
Compile Triggers...finished.
Compile Rooms...finished.
Compile Extensions...finished.
Global scripts...finished.
Final Compile...finished.
Saving IFF file... (PERSONAL INFORMATION BLOCKED OUT BY ME)
Writing Chunk... GEN8
Writing Chunk... OPTN
Writing Chunk... LANG
Writing Chunk... EXTN
Writing Chunk... SOND
(CONVERTED A BUNCH OF SOUNDS HERE)
(WROTE A BUNCH OF AUDIO FILES HERE)

Writing Chunk... AGRP
Writing Chunk... SPRT
Writing Chunk... BGND
Writing Chunk... PATH
Writing Chunk... SCPT
Writing Chunk... GLOB
Writing Chunk... SHDR
Writing Chunk... FONT
Writing Chunk... TMLN
Writing Chunk... OBJT
Writing Chunk... ROOM
Writing Chunk... DAFL
Writing Chunk... TPAGE
Writing Chunk... CODE
Writing Chunk... VARI
Writing Chunk... FUNC
Writing Chunk... STRG
Writing Chunk... TXTR
0 Compressing texture... writing texture texture_0.png...
1 Compressing texture... writing texture texture_1.png...
2 Compressing texture... writing texture texture_2.png...
3 Compressing texture... writing texture texture_3.png...
4 Compressing texture... writing texture texture_4.png...
5 Compressing texture... writing texture texture_5.png...
6 Compressing texture... writing texture texture_6.png...
7 Compressing texture... writing texture texture_7.png...
8 Compressing texture... writing texture texture_8.png...
9 Compressing texture... writing texture texture_9.png...
10 Compressing texture... writing texture texture_10.png...
11 Compressing texture... writing texture texture_11.png...
12 Compressing texture... writing texture texture_12.png...
13 Compressing texture... writing texture texture_13.png...
14 Compressing texture... writing texture texture_14.png...
15 Compressing texture... writing texture texture_15.png...
16 Compressing texture... writing texture texture_16.png...
17 Compressing texture... writing texture texture_17.png...
Writing Chunk... AUDO
Writing Chunk... SCPT
Writing Chunk... DBGI
Writing Chunk... INST
Writing Chunk... LOCL
Writing Chunk... STRG
Stats : GMA : Elapsed=46554.6627
Stats : GMA : sp=302,au=181,bk=13,pt=0,sc=239,sh=0,fo=2,tl=0,ob=405,ro=27,da=0,ex=4,ma=141,fm=0x4FFC2AA0
adb server version (31) doesn't match this client (36); killing...
* daemon started successfully *
device
/sdcard device
/sdcard rm: *: No such file or directory [ 0%] /sdcard/GMstudio/GameAssetsDROID.zip
[ 0%] /sdcard/GMstudio/GameAssetsDROID.zip
to (INSERTED THIS TO GET UNDER 5000 CHARACTER LIMIT)
[100%] /sdcard/GMstudio/GameAssetsDROID.zip
[100%] /sdcard/GMstudio/GameDownload.lock
ro.ril.oem.ecclist=911 ro.ril.enable.a53=1 ro.ril.enable.dtm=0 ro.ril.gprsclass=12 ro.ril.hsdpa.category=24 ro.ril.hsupa.category=6 ro.ril.hsxpa=4 ro.ril.fast.dormancy.rule=2 ro.ril.radio.svn=8 ro.ril.disable.fd.plmn.prefix=23402,23410,23411,23420,23594,27202,27205 ro.ril.enable.sdr=0 ro.ril.enable.gea3=0 ro.ril.enable.amr.wideband=1 ro.ril.set.mtusize=1440 ro.ril.rxd.mode.nv=10 ro.ril.bler.threshold.nv=125 ro.ril.rscp.threshold.nv=110 ro.ril.enable.rxd=1 ro.ril.oem.cnap=1 ro.ril.enable.r8fd=1 ro.ril.disable.cpc=0 ro.ril.ims=1 ro.ril.air.enabled=1 ro.product.locale.language=en ro.product.locale.region=US ro.product.locale=en-US ro.com.google.clientidbase=android-htc ro.com.google.clientidbase.yt=android-htc ro.com.google.clientidbase.am=android-tmobile-us ro.com.google.clientidbase.gmm=android-htc ro.com.google.clientidbase.ms=android-hms-tmobile-us ro.ril.vmail.310260=+18056377243 ro.phone.min_match=10 ro.ril.enable.ganlite=0 ro.product.model=HTC One_M8 service.htc.bt.local_name=HTC One_M8 ro.net.apnwhitelist=fota,mms,ims ro.net.apnroamingwhitelist=ims ro.config.htc.nocheckin=0 ro.ril.ciq=1 ro.telephony.ipv6_capability=1 ro.ril.enable.pre_r8fd=1 ro.ril.fd.pre_r8_tout.scr_off=17000 ro.ril.fd.pre_r8_tout.scr_on=0 ro.ril.fd.r8_tout.scr_off=2500 ro.ril.fd.r8_tout.scr_on=0 ro.ril.ltefgi=2144337592 ro.ril.ltefgi.rel9=3221225472 CMSUPPORT=1 ro.ril.lte3gpp=35 ro.ril.enable.isr=1 ro.ril.pdpnumber.policy.roaming=3 ro.ril.ps_handover=1 dev.defaultwallpaper=/system/customize/resource/wallpapers_00.jpg ro.htc.preprocess=TMOUS_NEWMETRICSREPORT ro.cw.base.version=M60 # begin build properties # autogenerated by buildinfo.sh htc.build.stage=2 ro.aa.customizationid=1154261 ro.aa.project=M8_UL_M60_SENSE70_MR ro.prot=true ro.aa.romver=6.20.531.5 ro.aa.maincid=T-MOB010 ro.aa.cidlist=T-MOB010 ro.aa.rid=582 ro.aa.modelid=0P6B13000 ro.aa.report=com ro.aa.skulist=531 ro.aa.taskid=472362 ro.aa.mainsku=531 ro.onecid=1 ro.cwkey=T-MOB010 ro.build.id=MRA58K ro.build.display.id=MRA58K release-keys ro.build.version.incremental=689733.5 ro.build.version.sdk=23 ro.build.version.preview_sdk=0 ro.build.version.codename=REL ro.build.version.all_codenames=REL ro.build.version.release=6.0 ro.build.version.security_patch=2016-01-01 ro.build.version.base_os= ro.build.date=二 3月 1 00:56:30 CST 2016 ro.build.date.utc=1456764990 ro.build.type=user ro.build.user=buildteam ro.build.host=ABM107 ro.build.tags=release-keys ro.build.flavor=htc_m8-user ro.product.model=htc_m8 ro.product.brand=htc ro.product.name=tmous ro.product.device=htc_m8 ro.product.board=MSM8974 # ro.product.cpu.abi and ro.product.cpu.abi2 are obsolete, # use ro.product.cpu.abilist instead. ro.product.cpu.abi=armeabi-v7a ro.product.cpu.abi2=armeabi ro.product.cpu.abilist=armeabi-v7a,armeabi ro.product.cpu.abilist32=armeabi-v7a,armeabi ro.product.cpu.abilist64= ro.product.manufacturer=HTC ro.product.locale=en-AU ro.wifi.channels= ro.board.platform=msm8974 # ro.build.product is obsolete; use ro.product.device ro.build.product=htc_m8 # Do not try to parse description, fingerprint, or thumbprint ro.build.description=6.20.531.5 CL689733 release-keys ro.build.fingerprint=htc/tmous/htc_m8:6.0/MRA58K/689733.5:user/release-keys ro.build.characteristics=default ro.build.description=6.20.531.5 CL689733 release-keys # Do not try to parse ro.build.description or .fingerprint ro.build.description=6.20.531.5 CL689733 release-keys ro.build.changelist=689733 ro.build.project=M8_UL_M60_SENSE70_MR:472362 ro.build.sku=TMOUS ro.build.buildline=M8UL_TMO_WWE_M60_CRC_Sense70_Stable_MR ro.product.version=6.20.531.5 ro.build.languageremove= ro.build.sense.version=7.0 Error of ro.build.version.htcsdk. ro.build.chinasense=7.4.5 # end build properties # # from device/htc/htc_m8/system.prop # # # system.prop for msm8974 # rild.libpath=/system/lib/libhtc_rilhook.so rild.libargs=-d /dev/smd0 persist.rild.nitz_plmn= persist.rild.nitz_long_ons_0= persist.rild.nitz_long_ons_1= persist.rild.nitz_long_ons_2= persist.rild.nitz_long_ons_3= persist.rild.nitz_short_ons_0= persist.rild.nitz_short_ons_1= persist.rild.nitz_short_ons_2= persist.rild.nitz_short_ons_3= ril.subscription.types=NV,RUIM DEVICE_PROVISIONED=1 # Default network type. # 9 => GSM/UMTS/LTE mode preferred. ro.telephony.default_network=9 # # system props for display # debug.sf.hw=1 debug.egl.hw=1 debug.composition.type=gpu persist.hwc.mdpcomp.enable=true persist.hwc.partialupdate=1 ro.hwui.renderer.disable_opaque=true ro.sf.lcd_density=480 debug.mdpcomp.logs=0 # Display Info ro.product.display_resolution = 5 inch 1080p resolution dalvik.vm.heapsize=512m dalvik.vm.heapgrowthlimit=192m dalvik.vm.heapstartsize=8m dalvik.vm.heapmaxfree=8m dalvik.vm.heapminfree=2m dev.pm.dyn_samplingrate=1 persist.demo.hdmirotationlock=false # +SSD_RIL ro.baseband.arch=msm # -SSD_RIL # Enable IMS service by default persist.radio.jbims=1 # Enable SAP slinet pin feature by default persist.radio.sap_silent_pin=1 ro.hdmi.enable=true tunnel.decode=true tunnel.audiovideo.decode=true lpa.decode=true lpa.use-stagefright=true persist.speaker.prot.enable=false qcom.hw.aac.encoder=true use.voice.path.for.pcm.voip=true #system props for the MM modules media.stagefright.enable-player=true media.stagefright.enable-http=true media.stagefright.enable-aac=true media.stagefright.enable-qcp=true media.stagefright.enable-fma2dp=true media.stagefright.enable-scan=true mmp.enable.3g2=true mm.enable.smoothstreaming=true media.aac_51_output_enabled=true #37491 is decimal sum of supported codecs in AAL #codecs: AVI AC3 ASF AAC QCP DTS 3G2 MP2TS mm.enable.qcom_parser=37491 # VIDC: debug_levels # 1:ERROR 2:HIGH 4:LOW 0:NOLOGS 7:AllLOGS vidc.debug.level=3 # # system props for the data modules # ro.use_data_netmgrd=true persist.data.netmgrd.qos.enable=true ro.data.large_tcp_window_size=true #system props for time-services persist.timed.enable=true # System props for audio # System props for soundhound # bit 0: Music playback in headset mode # bit 1: FM 48K #persist.htc.audio.soundhound=1 #Buffer size in kbytes for compress offload playback audio.offload.buffer.size.kb=1024 #Enable offload gapless audio.offload.gapless.enabled=false # System props for global effect htc.audio.global.state=0 htc.audio.global.profile=0 htc.audio.q6.topology=0 htc.audio.global.speaker=1 htc.audio.srs.defaultbundleHS=MAX300 # System props for ALOGV htc.audio.debug.printlow=0 # # system prop for opengles version # # 196608 is decimal for 0x30000 to report version 3 ro.opengles.version=196608 # # system prop for Bluetooth Dialup Networking # ro.qualcomm.bluetooth.dun=false # system prop for Bluetooth FTP profile ro.qualcomm.bluetooth.ftp=true # # system property for Bluetooth Handsfree Profile Wide Band Speech # ro.qualcomm.bluetooth.hfp.wbs=false # # system property for Bluetooth SIM Access Profile # ro.htc.bluetooth.sap=true # #system prop for Bluetooth hci transport ro.qualcomm.bt.hci_transport=smd # # system prop for requesting Master role in incoming Bluetooth connection. # ro.bluetooth.request.master=true # # system prop for Bluetooth Auto connect for remote initated connections # ro.bluetooth.remote.autoconnect=true # system property for Bluetooth discoverability time out in seconds # 0: Always discoverable #debug.bt.discoverable_time=0 # system property for Bluetooth Hardware information ro.product.bluetooth=4.1 # config fm rssi threshold #service.qct.fm.rssi=116 #SSD_BT- bluetooth # system property for qcom Bluetooth stack ro.qc.bluetooth.stack=bluedroid # system property for bdaddr ro.bt.bdaddr_path = /sys/module/htc_bdaddress/parameters/bdaddress # BLE TAG (HtcBluetoothLeProfiles) ro.bt.ble_tag = 1 # System property for cabl #ro.qualcomm.cabl=1 # # System props for telephony # System prop to turn on CdmaLTEPhone always #+ SSD_RIL: disable default value by MASD request #telephony.lteOnCdmaDevice=1 #- SSD_RIL: disable default value by MASD request #Simulate sdcard on /data/media # persist.fuse_sdcard=true # ro.storage_structure: define the storage structure of this project # FUSE: 0x8, FAT: 0x4, SD: 0x2, INS: 0x1 # Example: If the project has FUSE with SD card, the value should be defined as 10 (dec) ro.storage_structure = 10 # ro.storage_encryption_type: define the storage encryption type of this project # not support encryption: 0x0 block level: 0x1 file level: 0x2 ro.storage_encryption_type = 2 #For usb storage ro.usb_host = 1 # #snapdragon value add features # ro.qc.sdk.audio.ssr=false ##fluencetype can be "fluence" or "fluencepro" or "none" ro.qc.sdk.audio.fluencetype=none ro.qc.sdk.sensors.gestures=true ro.qc.sdk.gestures.camera=false ro.qc.sdk.camera.facialproc=false #property to enable user to access Google WFD settings. persist.debug.wfd.enable=1 #property to choose between virtual/external wfd display persist.sys.wfd.virtual=0 #propery to enable VDS WFD solution persist.hwc.enable_vds=1 # Following property will be reference by Settings. ro.product.main_camera =HTC UltraPixel Camera ro.product.front_camera = 5M # Support HW rest ro.product.hwreset = 1 ro.product.hwreset.timer1 = 6 ro.product.hwreset.timer2 = 9 # M8 HW info ro.product.ram = 2GB # wifi wifi.softap.interface=wlan0 wifi.softapconcurrent.interface=softap.0 wifi.miracastconcurrent.scan=WCN3680 init.svc.wpa_supplicant= init.svc.dhcpcd_wlan0= dhcp.wlan0.autoip= dhcp.wlan0.dns1= dhcp.wlan0.dns2= dhcp.wlan0.dns3= dhcp.wlan0.dns4= dhcp.wlan0.gateway= dhcp.wlan0.ipaddress= dhcp.wlan0.leasetime= dhcp.wlan0.mask= dhcp.wlan0.ooxx= dhcp.wlan0.pid= dhcp.wlan0.reason= dhcp.wlan0.result= dhcp.wlan0.server= net.wlan0.dns1= net.wlan0.dns2= wifi.wpa_supp_ready= wlan.driver.status= wifi.interface=wlan0 wifi.supplicant_scan_interval=15 persist.wifi.v6=true persist.wifi.v6.rs.count=5 persist.wifi.v6.rs.timeout=5 ro.product.wifi = 802.11 a/b/g/n/ac sys.stt.ssr.no_prompt=1 tunnel.audio.encode = false # For Embadded DIAG ro.chipset.vendor=QCT ro.chipset.model=MSM8974 ro.chipset.version=1.x # ro.storage_encryption_type: define the storage encryption type of this project # not support encryption: 0x0 block level: 0x1 file level: 0x2 ro.storage_encryption_type = 2 # Property to enable EAB service persist.rcs.supported = 1 # Property to enable VT function in IMS library persist.radio.VT_ENABLE = 1 # Property to enable HYBRID mode at android side, IMS daemon will use qmi to communicate with modem persist.radio.VT_HYBRID_ENABLE = 1 # Property to enable VT AV timer, settings between audio/video codec # DO NOT set this system property; per QCOM information, it should only apply to Fusion device #persist.radio.VT_USE_MDM_TIME = 1 # Property to enable VT ROTATION in ims library persist.radio.ROTATION_ENABLE = 1 # Property to enable PLI for VT call video quality # persist.radio.RATE_ADAPT_ENABLE = 1 # Property to disable IMS_DEBUG log persist.ims.disableDebugLogs = 1 # For VOLD storage master key encryption algorithm scrypt ro.crypto.scrypt_params=16:3:1 # define the device properties of GSMA supported by current device ro.htc.gsma.BATTERY_LOW_MODE = true ro.htc.gsma.BATTERY_OFF_MODE = false ro.htc.gsma.FELICA = false ro.htc.gsma.HCI_SWP = true ro.htc.gsma.MIFARE_CLASSIC = true ro.htc.gsma.MIFARE_DESFIRE = true ro.htc.gsma.MULTI_ACTIVE_CEE = true ro.htc.gsma.NFC_FORUM_TYPE3 = false ro.htc.gsma.OMAPI = true # # ADDITIONAL_BUILD_PROPERTIES # persist.preload.common=0 persist.zygote.preload_threads=3 persist.camera.antibanding=60 persist.camera.tuning_spec=htc ro.com.android.dataroaming=false keyguard.no_require_sim=true ro.config.ringtone=Ring_Synth_04.ogg ro.config.notification_sound=pixiedust.ogg ro.carrier=unknown ro.config.alarm_alert=Alarm_Classic.ogg drm.service.enabled=true ro.setupwizard.mode=OPTIONAL ro.com.google.gmsversion=6.0_r1 dalvik.vm.heapstartsize=8m dalvik.vm.heapgrowthlimit=192m dalvik.vm.heapsize=512m dalvik.vm.heaptargetutilization=0.75 dalvik.vm.heapminfree=2m dalvik.vm.heapmaxfree=8m ro.vendor.extension_library=/vendor/lib/libqc-opt.so persist.radio.apm_sim_not_pwdn=1 wifi.hs20.support=true persist.ims.disableDebugLogs=1 persist.ims.disableADBLogs=1 persist.ims.disableQXDMLogs=1 persist.ims.disableIMSLogs=1 persist.sys.dalvik.vm.lib.2=libart dalvik.vm.isa.arm.variant=krait dalvik.vm.isa.arm.features=default net.bt.name=Android dalvik.vm.stack-trace-file=/data/anr/traces.txt ro.gps.agps_provider=1 ro.expect.recovery_id=0xa7ae1502a124bfe0b8010f9c52e607dcd81f3f78000000000000000000000000 FastCreate started: 1:29:29 PM
FastCreate End File Copies: 1:29:30 PM
:com.companyname.Fabled_Fray:preBuild UP-TO-DATE
:com.companyname.Fabled_Fray:preReleaseBuild UP-TO-DATE
:com.companyname.Fabled_Fray:checkReleaseManifest
:com.companyname.Fabled_Fray:preDebugAndroidTestBuild UP-TO-DATE
:com.companyname.Fabled_Fray:preDebugBuild UP-TO-DATE
:downloader_library:preBuild UP-TO-DATE
:downloader_library:preReleaseBuild UP-TO-DATE
:downloader_library:compileReleaseNdk UP-TO-DATE
:downloader_library:compileLint
:downloader_library:copyReleaseLint UP-TO-DATE
:downloader_library:mergeReleaseProguardFiles
:downloader_library:packageReleaseRenderscript UP-TO-DATE
:downloader_library:checkReleaseManifest
:downloader_library:preDebugAndroidTestBuild UP-TO-DATE
:downloader_library:preDebugBuild UP-TO-DATE
:downloader_library:preDebugUnitTestBuild UP-TO-DATE
:downloader_library:preReleaseUnitTestBuild UP-TO-DATE
:library:preBuild UP-TO-DATE
:library:preReleaseBuild UP-TO-DATE
:library:compileReleaseNdk UP-TO-DATE
:library:compileLint
:library:copyReleaseLint UP-TO-DATE
:library:mergeReleaseProguardFiles
:library:packageReleaseRenderscript UP-TO-DATE
:library:checkReleaseManifest
:library:prepareReleaseDependencies
:library:compileReleaseRenderscript
:library:generateReleaseResValues
:library:generateReleaseResources
:library:packageReleaseResources
:library:compileReleaseAidl
:library:generateReleaseBuildConfig
:library:generateReleaseAssets UP-TO-DATE
:library:mergeReleaseAssets
:library:processReleaseManifest
:library:processReleaseResources
:library:generateReleaseSources
:library:compileReleaseJavaWithJavacNote: Z:\library\src\com\google\android\vending\licensing\LicenseChecker.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:library:processReleaseJavaRes UP-TO-DATE
:library:transformResourcesWithMergeJavaResForRelease
:library:transformClassesAndResourcesWithSyncLibJarsForRelease
:library:mergeReleaseJniLibFolders
:library:transformNative_libsWithMergeJniLibsForRelease
:library:transformNative_libsWithSyncJniLibsForRelease
:library:bundleRelease
:downloader_library:prepareLibraryUnspecifiedLibrary
:downloader_library:prepareReleaseDependencies
:downloader_library:compileReleaseRenderscript
:downloader_library:generateReleaseResValues
:downloader_library:generateReleaseResources
:downloader_library:packageReleaseResources
:downloader_library:compileReleaseAidl
:downloader_library:generateReleaseBuildConfig
:downloader_library:generateReleaseAssets UP-TO-DATE
:downloader_library:mergeReleaseAssets
:downloader_library:mergeReleaseResources
:downloader_library:processReleaseManifest
:downloader_library:processReleaseResources
:downloader_library:generateReleaseSources
:downloader_library:compileReleaseJavaWithJavacNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:downloader_library:processReleaseJavaRes UP-TO-DATE
:downloader_library:transformResourcesWithMergeJavaResForRelease
:downloader_library:transformClassesAndResourcesWithSyncLibJarsForRelease
:downloader_library:mergeReleaseJniLibFolders
:downloader_library:transformNative_libsWithMergeJniLibsForRelease
:downloader_library:transformNative_libsWithSyncJniLibsForRelease
:downloader_library:bundleRelease
:com.companyname.Fabled_Fray:prepareComAndroidSupportMultidex101Library
:com.companyname.Fabled_Fray:prepareComAndroidSupportSupportV42321Library
:com.companyname.Fabled_Fray:prepareDownloader_libraryUnspecifiedLibrary
:com.companyname.Fabled_Fray:prepareLibraryUnspecifiedLibrary
:com.companyname.Fabled_Fray:prepareReleaseDependencies
:com.companyname.Fabled_Fray:compileReleaseAidl
:com.companyname.Fabled_Fray:compileReleaseRenderscript
:com.companyname.Fabled_Fray:generateReleaseBuildConfig
:com.companyname.Fabled_Fray:generateReleaseAssets UP-TO-DATE
:com.companyname.Fabled_Fray:mergeReleaseAssets
:com.companyname.Fabled_Fray:generateReleaseResValues
:com.companyname.Fabled_Fray:generateReleaseResources
:com.companyname.Fabled_Fray:mergeReleaseResources
:com.companyname.Fabled_Fray:processReleaseManifest
Warning: Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:19:1-76 Warning:
Element uses-permission#android.permission.WRITE_EXTERNAL_STORAGE at AndroidManifest.xml:19:1-76 duplicated with element declared at AndroidManifest.xml:11:1-77
Warning: Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:31:3-78:17 Warning:
application@android:label was tagged at AndroidManifest.xml:31 to replace other declarations but no other declaration present
Warning: Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:32:5-38:16 Warning:
activity#com.companyname.Fabled_Fray.RunnerActivity@android:label was tagged at AndroidManifest.xml:32 to replace other declarations but no other declaration present
Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:19:1-76 Warning:
Element uses-permission#android.permission.WRITE_EXTERNAL_STORAGE at AndroidManifest.xml:19:1-76 duplicated with element declared at AndroidManifest.xml:11:1-77
Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:31:3-78:17 Warning:
application@android:label was tagged at AndroidManifest.xml:31 to replace other declarations but no other declaration present
Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:32:5-38:16 Warning:
activity#com.companyname.Fabled_Fray.RunnerActivity@android:label was tagged at AndroidManifest.xml:32 to replace other declarations but no other declaration present
:com.companyname.Fabled_Fray:processReleaseResources
:com.companyname.Fabled_Fray:generateReleaseSources
:com.companyname.Fabled_Fray:compileReleaseJavaWithJavacNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Z:\com.companyname.Fabled_Fray\src\main\java\com\companyname\Fabled_Fray\Gamepad\Gamepad.java uses unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:com.companyname.Fabled_Fray:compileReleaseNdk UP-TO-DATE
:com.companyname.Fabled_Fray:compileReleaseSources
:com.companyname.Fabled_Fray:lintVitalRelease
:com.companyname.Fabled_Fray:transformClassesWithJarMergingForRelease FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':com.companyname.Fabled_Fray:transformClassesWithJarMergingForRelease'.
> com.android.build.api.transform.TransformException: java.util.zip.ZipException: duplicate entry: org/apache/http/ConnectionClosedException.class

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 13.926 secs
FastCreate End End: 1:29:44 PM
Compile finished: 1:29:44 PM

I did block out some personal information and some audio information as well a recurring information where you can infer, but that's it and I inserted into the log where I removed the information and colored the font in yellow with all caps...
 
J

jackhigh24

Guest
ok here is where you find lint report
C:/Users/yourname/Documents/GameMaker/Cache/RobotPiratesEngine2/Android/Default/com.TydeconGames.RobotPirates/build/outputs

also what is your system and what bit is it and what version of java are you using with this
 
T

TheMatrixHasMe

Guest
I've accessed the folder you are speaking of and looking at it but there isn't any "lint report" per se that I can see.

There are two folders, one called lint-results-release-fatal_files and one called logs.

There are also two files, one is an html document that I can open in dreamweaver and the other is a chrome link and both of these files are called lint_results-release-fatal.

The Google link says 0 error and 0 warnings found and the html document has nothing in it.

The logs folder has a document in it called manifest-merger-release-report and it's a text document. The lint-results-release-fatal-files folder has a css file.

I'm not really seeing something I can provide you.

For system, I'm using windows 7 home premium 64 bit. Java\jdk1.7_79
 
J

jackhigh24

Guest
you need java 1.8 most likely 64 bit but for some 32 bit is better, id try 64 bit http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html try this one Windows x64 193.68 MB jdk-8u101-windows-x64.exe

also for the lint the one you want in the output folder is called lint-results-debug there will be two one is html the other is xml, but first do the java to the correct one you should be using now, then if that does not fix the issue then get the new lints that will be there after failing
 
T

TheMatrixHasMe

Guest
Okay, unfortunately, despite trying three different java 1.8 versions, including the link and one you mentioned, it still doesn't work. Next up the lint report.
The lint results you are looking for seem to be called lint_results_release_fatal on my drive which must mean that i've failed to get the results you're looking for.

This is what's in the xml when I open it
Code:
<?xml version="1.0" encoding="UTF-8"?>
<issues format="4" by="lint 25.1.7">

</issues>
Here is a link of what I'm talking about with folder and file names.
https://drive.google.com/open?id=0B1M4yOUAVMN_aGFzYVl5ZnhVbkE
 
J

jackhigh24

Guest
ok that does not look like the right place, that looks like the projects folder or somewhere else, you need the one that in the right folder thats in cache, have a close look at that example, you should only have to change the user name and the name of your game to match it, but you should be able to get there just by following it though your cache folder
 
T

TheMatrixHasMe

Guest
That's what isn't making any sense. I look at where the cache is (under file preferences in gamemaker studio) and the cache designation is where you say it should be, c:\user\myname\documents\gamemaker, but I can't seem to access it because when I go to my name under users there isn't anything for documents, only mydocuments. When I go to mydocuments and select gamemaker there are a bunch of project names but nothing that says cache.
 
Last edited by a moderator:
J

jackhigh24

Guest
@TheMatrixHasMe umm that is weird, im thinking your game maker install is messed up some how, maybe to do with that on the right where it says home directory as mine is the same as my other setting only with projects at the end, here is a image of mine for you and what should be there in my documents
https://www.dropbox.com/s/18lsjzd4fhff0q9/my screen.png?dl=0

so maybe just setting that home directory then compile again and see if it ether works or fails and then if it makes the correct cache and other bits your missing, but im guessing you might have to install a fresh again as that home directory might not matter and could be due to a bad install.
 
T

TheMatrixHasMe

Guest
Update: Okay, so I followed the steps presented here:
http://help.yoyogames.com/hc/en-us/articles/216753708-How-to-perform-a-fresh-install
and did a fresh uninstall and then install...I did not skip a step.

Tested it out and it didn't work.

Then I went to check the cache and it still wasn't there, just like before.

That wasn't right of course so I decided to delete preferenes. I was thinking that they were the one carry over from the previous install, as that article has you save your preferences and re-apply them.

Then I ran the game on android again. Still doesn't work. So I went and check for the cache. And it's there. However, I follow the tree down the path and I don't think I have anything we can use. It still says the same thing as before at the end of this tree. Here I'll upload another image link.

https://drive.google.com/open?id=0B1M4yOUAVMN_eFk4TC1EV0VRcWM

And I tried it both with a default home drive and the location pointing to my github folder and neither worked.
 
J

jackhigh24

Guest
im lost as to what is going on, maybe this needs to be something a help desk ticket can help you find the issue, or maybe someone else will pop in at some point with another idea.
 
P

PlayLight

Guest
@jackhigh24 I did inject it as I was hoping it was a fix. Now that it hasn't worked shall I remove it?

I don't know how to do the lint report and when I google it I can't find anything helpful for someone coming from gamemaker.

Here's the full log, I suppose. If it's not then let me know how to get it.
Compile started: 1:28:08 PM
Reading project file....finished.
Compile Constants...finished.
Remove DnD...finished.
Compile Scripts...finished.
Compile Objects...finished.
Compile Timelines...finished.
Compile Triggers...finished.
Compile Rooms...finished.
Compile Extensions...finished.
Global scripts...finished.
Final Compile...finished.
Saving IFF file... (PERSONAL INFORMATION BLOCKED OUT BY ME)
Writing Chunk... GEN8
Writing Chunk... OPTN
Writing Chunk... LANG
Writing Chunk... EXTN
Writing Chunk... SOND
(CONVERTED A BUNCH OF SOUNDS HERE)
(WROTE A BUNCH OF AUDIO FILES HERE)

Writing Chunk... AGRP
Writing Chunk... SPRT
Writing Chunk... BGND
Writing Chunk... PATH
Writing Chunk... SCPT
Writing Chunk... GLOB
Writing Chunk... SHDR
Writing Chunk... FONT
Writing Chunk... TMLN
Writing Chunk... OBJT
Writing Chunk... ROOM
Writing Chunk... DAFL
Writing Chunk... TPAGE
Writing Chunk... CODE
Writing Chunk... VARI
Writing Chunk... FUNC
Writing Chunk... STRG
Writing Chunk... TXTR
0 Compressing texture... writing texture texture_0.png...
1 Compressing texture... writing texture texture_1.png...
2 Compressing texture... writing texture texture_2.png...
3 Compressing texture... writing texture texture_3.png...
4 Compressing texture... writing texture texture_4.png...
5 Compressing texture... writing texture texture_5.png...
6 Compressing texture... writing texture texture_6.png...
7 Compressing texture... writing texture texture_7.png...
8 Compressing texture... writing texture texture_8.png...
9 Compressing texture... writing texture texture_9.png...
10 Compressing texture... writing texture texture_10.png...
11 Compressing texture... writing texture texture_11.png...
12 Compressing texture... writing texture texture_12.png...
13 Compressing texture... writing texture texture_13.png...
14 Compressing texture... writing texture texture_14.png...
15 Compressing texture... writing texture texture_15.png...
16 Compressing texture... writing texture texture_16.png...
17 Compressing texture... writing texture texture_17.png...
Writing Chunk... AUDO
Writing Chunk... SCPT
Writing Chunk... DBGI
Writing Chunk... INST
Writing Chunk... LOCL
Writing Chunk... STRG
Stats : GMA : Elapsed=46554.6627
Stats : GMA : sp=302,au=181,bk=13,pt=0,sc=239,sh=0,fo=2,tl=0,ob=405,ro=27,da=0,ex=4,ma=141,fm=0x4FFC2AA0
adb server version (31) doesn't match this client (36); killing...
* daemon started successfully *
device
/sdcard device
/sdcard rm: *: No such file or directory [ 0%] /sdcard/GMstudio/GameAssetsDROID.zip
[ 0%] /sdcard/GMstudio/GameAssetsDROID.zip
to (INSERTED THIS TO GET UNDER 5000 CHARACTER LIMIT)
[100%] /sdcard/GMstudio/GameAssetsDROID.zip
[100%] /sdcard/GMstudio/GameDownload.lock
ro.ril.oem.ecclist=911 ro.ril.enable.a53=1 ro.ril.enable.dtm=0 ro.ril.gprsclass=12 ro.ril.hsdpa.category=24 ro.ril.hsupa.category=6 ro.ril.hsxpa=4 ro.ril.fast.dormancy.rule=2 ro.ril.radio.svn=8 ro.ril.disable.fd.plmn.prefix=23402,23410,23411,23420,23594,27202,27205 ro.ril.enable.sdr=0 ro.ril.enable.gea3=0 ro.ril.enable.amr.wideband=1 ro.ril.set.mtusize=1440 ro.ril.rxd.mode.nv=10 ro.ril.bler.threshold.nv=125 ro.ril.rscp.threshold.nv=110 ro.ril.enable.rxd=1 ro.ril.oem.cnap=1 ro.ril.enable.r8fd=1 ro.ril.disable.cpc=0 ro.ril.ims=1 ro.ril.air.enabled=1 ro.product.locale.language=en ro.product.locale.region=US ro.product.locale=en-US ro.com.google.clientidbase=android-htc ro.com.google.clientidbase.yt=android-htc ro.com.google.clientidbase.am=android-tmobile-us ro.com.google.clientidbase.gmm=android-htc ro.com.google.clientidbase.ms=android-hms-tmobile-us ro.ril.vmail.310260=+18056377243 ro.phone.min_match=10 ro.ril.enable.ganlite=0 ro.product.model=HTC One_M8 service.htc.bt.local_name=HTC One_M8 ro.net.apnwhitelist=fota,mms,ims ro.net.apnroamingwhitelist=ims ro.config.htc.nocheckin=0 ro.ril.ciq=1 ro.telephony.ipv6_capability=1 ro.ril.enable.pre_r8fd=1 ro.ril.fd.pre_r8_tout.scr_off=17000 ro.ril.fd.pre_r8_tout.scr_on=0 ro.ril.fd.r8_tout.scr_off=2500 ro.ril.fd.r8_tout.scr_on=0 ro.ril.ltefgi=2144337592 ro.ril.ltefgi.rel9=3221225472 CMSUPPORT=1 ro.ril.lte3gpp=35 ro.ril.enable.isr=1 ro.ril.pdpnumber.policy.roaming=3 ro.ril.ps_handover=1 dev.defaultwallpaper=/system/customize/resource/wallpapers_00.jpg ro.htc.preprocess=TMOUS_NEWMETRICSREPORT ro.cw.base.version=M60 # begin build properties # autogenerated by buildinfo.sh htc.build.stage=2 ro.aa.customizationid=1154261 ro.aa.project=M8_UL_M60_SENSE70_MR ro.prot=true ro.aa.romver=6.20.531.5 ro.aa.maincid=T-MOB010 ro.aa.cidlist=T-MOB010 ro.aa.rid=582 ro.aa.modelid=0P6B13000 ro.aa.report=com ro.aa.skulist=531 ro.aa.taskid=472362 ro.aa.mainsku=531 ro.onecid=1 ro.cwkey=T-MOB010 ro.build.id=MRA58K ro.build.display.id=MRA58K release-keys ro.build.version.incremental=689733.5 ro.build.version.sdk=23 ro.build.version.preview_sdk=0 ro.build.version.codename=REL ro.build.version.all_codenames=REL ro.build.version.release=6.0 ro.build.version.security_patch=2016-01-01 ro.build.version.base_os= ro.build.date=二 3月 1 00:56:30 CST 2016 ro.build.date.utc=1456764990 ro.build.type=user ro.build.user=buildteam ro.build.host=ABM107 ro.build.tags=release-keys ro.build.flavor=htc_m8-user ro.product.model=htc_m8 ro.product.brand=htc ro.product.name=tmous ro.product.device=htc_m8 ro.product.board=MSM8974 # ro.product.cpu.abi and ro.product.cpu.abi2 are obsolete, # use ro.product.cpu.abilist instead. ro.product.cpu.abi=armeabi-v7a ro.product.cpu.abi2=armeabi ro.product.cpu.abilist=armeabi-v7a,armeabi ro.product.cpu.abilist32=armeabi-v7a,armeabi ro.product.cpu.abilist64= ro.product.manufacturer=HTC ro.product.locale=en-AU ro.wifi.channels= ro.board.platform=msm8974 # ro.build.product is obsolete; use ro.product.device ro.build.product=htc_m8 # Do not try to parse description, fingerprint, or thumbprint ro.build.description=6.20.531.5 CL689733 release-keys ro.build.fingerprint=htc/tmous/htc_m8:6.0/MRA58K/689733.5:user/release-keys ro.build.characteristics=default ro.build.description=6.20.531.5 CL689733 release-keys # Do not try to parse ro.build.description or .fingerprint ro.build.description=6.20.531.5 CL689733 release-keys ro.build.changelist=689733 ro.build.project=M8_UL_M60_SENSE70_MR:472362 ro.build.sku=TMOUS ro.build.buildline=M8UL_TMO_WWE_M60_CRC_Sense70_Stable_MR ro.product.version=6.20.531.5 ro.build.languageremove= ro.build.sense.version=7.0 Error of ro.build.version.htcsdk. ro.build.chinasense=7.4.5 # end build properties # # from device/htc/htc_m8/system.prop # # # system.prop for msm8974 # rild.libpath=/system/lib/libhtc_rilhook.so rild.libargs=-d /dev/smd0 persist.rild.nitz_plmn= persist.rild.nitz_long_ons_0= persist.rild.nitz_long_ons_1= persist.rild.nitz_long_ons_2= persist.rild.nitz_long_ons_3= persist.rild.nitz_short_ons_0= persist.rild.nitz_short_ons_1= persist.rild.nitz_short_ons_2= persist.rild.nitz_short_ons_3= ril.subscription.types=NV,RUIM DEVICE_PROVISIONED=1 # Default network type. # 9 => GSM/UMTS/LTE mode preferred. ro.telephony.default_network=9 # # system props for display # debug.sf.hw=1 debug.egl.hw=1 debug.composition.type=gpu persist.hwc.mdpcomp.enable=true persist.hwc.partialupdate=1 ro.hwui.renderer.disable_opaque=true ro.sf.lcd_density=480 debug.mdpcomp.logs=0 # Display Info ro.product.display_resolution = 5 inch 1080p resolution dalvik.vm.heapsize=512m dalvik.vm.heapgrowthlimit=192m dalvik.vm.heapstartsize=8m dalvik.vm.heapmaxfree=8m dalvik.vm.heapminfree=2m dev.pm.dyn_samplingrate=1 persist.demo.hdmirotationlock=false # +SSD_RIL ro.baseband.arch=msm # -SSD_RIL # Enable IMS service by default persist.radio.jbims=1 # Enable SAP slinet pin feature by default persist.radio.sap_silent_pin=1 ro.hdmi.enable=true tunnel.decode=true tunnel.audiovideo.decode=true lpa.decode=true lpa.use-stagefright=true persist.speaker.prot.enable=false qcom.hw.aac.encoder=true use.voice.path.for.pcm.voip=true #system props for the MM modules media.stagefright.enable-player=true media.stagefright.enable-http=true media.stagefright.enable-aac=true media.stagefright.enable-qcp=true media.stagefright.enable-fma2dp=true media.stagefright.enable-scan=true mmp.enable.3g2=true mm.enable.smoothstreaming=true media.aac_51_output_enabled=true #37491 is decimal sum of supported codecs in AAL #codecs: AVI AC3 ASF AAC QCP DTS 3G2 MP2TS mm.enable.qcom_parser=37491 # VIDC: debug_levels # 1:ERROR 2:HIGH 4:LOW 0:NOLOGS 7:AllLOGS vidc.debug.level=3 # # system props for the data modules # ro.use_data_netmgrd=true persist.data.netmgrd.qos.enable=true ro.data.large_tcp_window_size=true #system props for time-services persist.timed.enable=true # System props for audio # System props for soundhound # bit 0: Music playback in headset mode # bit 1: FM 48K #persist.htc.audio.soundhound=1 #Buffer size in kbytes for compress offload playback audio.offload.buffer.size.kb=1024 #Enable offload gapless audio.offload.gapless.enabled=false # System props for global effect htc.audio.global.state=0 htc.audio.global.profile=0 htc.audio.q6.topology=0 htc.audio.global.speaker=1 htc.audio.srs.defaultbundleHS=MAX300 # System props for ALOGV htc.audio.debug.printlow=0 # # system prop for opengles version # # 196608 is decimal for 0x30000 to report version 3 ro.opengles.version=196608 # # system prop for Bluetooth Dialup Networking # ro.qualcomm.bluetooth.dun=false # system prop for Bluetooth FTP profile ro.qualcomm.bluetooth.ftp=true # # system property for Bluetooth Handsfree Profile Wide Band Speech # ro.qualcomm.bluetooth.hfp.wbs=false # # system property for Bluetooth SIM Access Profile # ro.htc.bluetooth.sap=true # #system prop for Bluetooth hci transport ro.qualcomm.bt.hci_transport=smd # # system prop for requesting Master role in incoming Bluetooth connection. # ro.bluetooth.request.master=true # # system prop for Bluetooth Auto connect for remote initated connections # ro.bluetooth.remote.autoconnect=true # system property for Bluetooth discoverability time out in seconds # 0: Always discoverable #debug.bt.discoverable_time=0 # system property for Bluetooth Hardware information ro.product.bluetooth=4.1 # config fm rssi threshold #service.qct.fm.rssi=116 #SSD_BT- bluetooth # system property for qcom Bluetooth stack ro.qc.bluetooth.stack=bluedroid # system property for bdaddr ro.bt.bdaddr_path = /sys/module/htc_bdaddress/parameters/bdaddress # BLE TAG (HtcBluetoothLeProfiles) ro.bt.ble_tag = 1 # System property for cabl #ro.qualcomm.cabl=1 # # System props for telephony # System prop to turn on CdmaLTEPhone always #+ SSD_RIL: disable default value by MASD request #telephony.lteOnCdmaDevice=1 #- SSD_RIL: disable default value by MASD request #Simulate sdcard on /data/media # persist.fuse_sdcard=true # ro.storage_structure: define the storage structure of this project # FUSE: 0x8, FAT: 0x4, SD: 0x2, INS: 0x1 # Example: If the project has FUSE with SD card, the value should be defined as 10 (dec) ro.storage_structure = 10 # ro.storage_encryption_type: define the storage encryption type of this project # not support encryption: 0x0 block level: 0x1 file level: 0x2 ro.storage_encryption_type = 2 #For usb storage ro.usb_host = 1 # #snapdragon value add features # ro.qc.sdk.audio.ssr=false ##fluencetype can be "fluence" or "fluencepro" or "none" ro.qc.sdk.audio.fluencetype=none ro.qc.sdk.sensors.gestures=true ro.qc.sdk.gestures.camera=false ro.qc.sdk.camera.facialproc=false #property to enable user to access Google WFD settings. persist.debug.wfd.enable=1 #property to choose between virtual/external wfd display persist.sys.wfd.virtual=0 #propery to enable VDS WFD solution persist.hwc.enable_vds=1 # Following property will be reference by Settings. ro.product.main_camera =HTC UltraPixel Camera ro.product.front_camera = 5M # Support HW rest ro.product.hwreset = 1 ro.product.hwreset.timer1 = 6 ro.product.hwreset.timer2 = 9 # M8 HW info ro.product.ram = 2GB # wifi wifi.softap.interface=wlan0 wifi.softapconcurrent.interface=softap.0 wifi.miracastconcurrent.scan=WCN3680 init.svc.wpa_supplicant= init.svc.dhcpcd_wlan0= dhcp.wlan0.autoip= dhcp.wlan0.dns1= dhcp.wlan0.dns2= dhcp.wlan0.dns3= dhcp.wlan0.dns4= dhcp.wlan0.gateway= dhcp.wlan0.ipaddress= dhcp.wlan0.leasetime= dhcp.wlan0.mask= dhcp.wlan0.ooxx= dhcp.wlan0.pid= dhcp.wlan0.reason= dhcp.wlan0.result= dhcp.wlan0.server= net.wlan0.dns1= net.wlan0.dns2= wifi.wpa_supp_ready= wlan.driver.status= wifi.interface=wlan0 wifi.supplicant_scan_interval=15 persist.wifi.v6=true persist.wifi.v6.rs.count=5 persist.wifi.v6.rs.timeout=5 ro.product.wifi = 802.11 a/b/g/n/ac sys.stt.ssr.no_prompt=1 tunnel.audio.encode = false # For Embadded DIAG ro.chipset.vendor=QCT ro.chipset.model=MSM8974 ro.chipset.version=1.x # ro.storage_encryption_type: define the storage encryption type of this project # not support encryption: 0x0 block level: 0x1 file level: 0x2 ro.storage_encryption_type = 2 # Property to enable EAB service persist.rcs.supported = 1 # Property to enable VT function in IMS library persist.radio.VT_ENABLE = 1 # Property to enable HYBRID mode at android side, IMS daemon will use qmi to communicate with modem persist.radio.VT_HYBRID_ENABLE = 1 # Property to enable VT AV timer, settings between audio/video codec # DO NOT set this system property; per QCOM information, it should only apply to Fusion device #persist.radio.VT_USE_MDM_TIME = 1 # Property to enable VT ROTATION in ims library persist.radio.ROTATION_ENABLE = 1 # Property to enable PLI for VT call video quality # persist.radio.RATE_ADAPT_ENABLE = 1 # Property to disable IMS_DEBUG log persist.ims.disableDebugLogs = 1 # For VOLD storage master key encryption algorithm scrypt ro.crypto.scrypt_params=16:3:1 # define the device properties of GSMA supported by current device ro.htc.gsma.BATTERY_LOW_MODE = true ro.htc.gsma.BATTERY_OFF_MODE = false ro.htc.gsma.FELICA = false ro.htc.gsma.HCI_SWP = true ro.htc.gsma.MIFARE_CLASSIC = true ro.htc.gsma.MIFARE_DESFIRE = true ro.htc.gsma.MULTI_ACTIVE_CEE = true ro.htc.gsma.NFC_FORUM_TYPE3 = false ro.htc.gsma.OMAPI = true # # ADDITIONAL_BUILD_PROPERTIES # persist.preload.common=0 persist.zygote.preload_threads=3 persist.camera.antibanding=60 persist.camera.tuning_spec=htc ro.com.android.dataroaming=false keyguard.no_require_sim=true ro.config.ringtone=Ring_Synth_04.ogg ro.config.notification_sound=pixiedust.ogg ro.carrier=unknown ro.config.alarm_alert=Alarm_Classic.ogg drm.service.enabled=true ro.setupwizard.mode=OPTIONAL ro.com.google.gmsversion=6.0_r1 dalvik.vm.heapstartsize=8m dalvik.vm.heapgrowthlimit=192m dalvik.vm.heapsize=512m dalvik.vm.heaptargetutilization=0.75 dalvik.vm.heapminfree=2m dalvik.vm.heapmaxfree=8m ro.vendor.extension_library=/vendor/lib/libqc-opt.so persist.radio.apm_sim_not_pwdn=1 wifi.hs20.support=true persist.ims.disableDebugLogs=1 persist.ims.disableADBLogs=1 persist.ims.disableQXDMLogs=1 persist.ims.disableIMSLogs=1 persist.sys.dalvik.vm.lib.2=libart dalvik.vm.isa.arm.variant=krait dalvik.vm.isa.arm.features=default net.bt.name=Android dalvik.vm.stack-trace-file=/data/anr/traces.txt ro.gps.agps_provider=1 ro.expect.recovery_id=0xa7ae1502a124bfe0b8010f9c52e607dcd81f3f78000000000000000000000000 FastCreate started: 1:29:29 PM
FastCreate End File Copies: 1:29:30 PM
:com.companyname.Fabled_Fray:preBuild UP-TO-DATE
:com.companyname.Fabled_Fray:preReleaseBuild UP-TO-DATE
:com.companyname.Fabled_Fray:checkReleaseManifest
:com.companyname.Fabled_Fray:preDebugAndroidTestBuild UP-TO-DATE
:com.companyname.Fabled_Fray:preDebugBuild UP-TO-DATE
:downloader_library:preBuild UP-TO-DATE
:downloader_library:preReleaseBuild UP-TO-DATE
:downloader_library:compileReleaseNdk UP-TO-DATE
:downloader_library:compileLint
:downloader_library:copyReleaseLint UP-TO-DATE
:downloader_library:mergeReleaseProguardFiles
:downloader_library:packageReleaseRenderscript UP-TO-DATE
:downloader_library:checkReleaseManifest
:downloader_library:preDebugAndroidTestBuild UP-TO-DATE
:downloader_library:preDebugBuild UP-TO-DATE
:downloader_library:preDebugUnitTestBuild UP-TO-DATE
:downloader_library:preReleaseUnitTestBuild UP-TO-DATE
:library:preBuild UP-TO-DATE
:library:preReleaseBuild UP-TO-DATE
:library:compileReleaseNdk UP-TO-DATE
:library:compileLint
:library:copyReleaseLint UP-TO-DATE
:library:mergeReleaseProguardFiles
:library:packageReleaseRenderscript UP-TO-DATE
:library:checkReleaseManifest
:library:prepareReleaseDependencies
:library:compileReleaseRenderscript
:library:generateReleaseResValues
:library:generateReleaseResources
:library:packageReleaseResources
:library:compileReleaseAidl
:library:generateReleaseBuildConfig
:library:generateReleaseAssets UP-TO-DATE
:library:mergeReleaseAssets
:library:processReleaseManifest
:library:processReleaseResources
:library:generateReleaseSources
:library:compileReleaseJavaWithJavacNote: Z:\library\src\com\google\android\vending\licensing\LicenseChecker.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:library:processReleaseJavaRes UP-TO-DATE
:library:transformResourcesWithMergeJavaResForRelease
:library:transformClassesAndResourcesWithSyncLibJarsForRelease
:library:mergeReleaseJniLibFolders
:library:transformNative_libsWithMergeJniLibsForRelease
:library:transformNative_libsWithSyncJniLibsForRelease
:library:bundleRelease
:downloader_library:prepareLibraryUnspecifiedLibrary
:downloader_library:prepareReleaseDependencies
:downloader_library:compileReleaseRenderscript
:downloader_library:generateReleaseResValues
:downloader_library:generateReleaseResources
:downloader_library:packageReleaseResources
:downloader_library:compileReleaseAidl
:downloader_library:generateReleaseBuildConfig
:downloader_library:generateReleaseAssets UP-TO-DATE
:downloader_library:mergeReleaseAssets
:downloader_library:mergeReleaseResources
:downloader_library:processReleaseManifest
:downloader_library:processReleaseResources
:downloader_library:generateReleaseSources
:downloader_library:compileReleaseJavaWithJavacNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:downloader_library:processReleaseJavaRes UP-TO-DATE
:downloader_library:transformResourcesWithMergeJavaResForRelease
:downloader_library:transformClassesAndResourcesWithSyncLibJarsForRelease
:downloader_library:mergeReleaseJniLibFolders
:downloader_library:transformNative_libsWithMergeJniLibsForRelease
:downloader_library:transformNative_libsWithSyncJniLibsForRelease
:downloader_library:bundleRelease
:com.companyname.Fabled_Fray:prepareComAndroidSupportMultidex101Library
:com.companyname.Fabled_Fray:prepareComAndroidSupportSupportV42321Library
:com.companyname.Fabled_Fray:prepareDownloader_libraryUnspecifiedLibrary
:com.companyname.Fabled_Fray:prepareLibraryUnspecifiedLibrary
:com.companyname.Fabled_Fray:prepareReleaseDependencies
:com.companyname.Fabled_Fray:compileReleaseAidl
:com.companyname.Fabled_Fray:compileReleaseRenderscript
:com.companyname.Fabled_Fray:generateReleaseBuildConfig
:com.companyname.Fabled_Fray:generateReleaseAssets UP-TO-DATE
:com.companyname.Fabled_Fray:mergeReleaseAssets
:com.companyname.Fabled_Fray:generateReleaseResValues
:com.companyname.Fabled_Fray:generateReleaseResources
:com.companyname.Fabled_Fray:mergeReleaseResources
:com.companyname.Fabled_Fray:processReleaseManifest
Warning: Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:19:1-76 Warning:
Element uses-permission#android.permission.WRITE_EXTERNAL_STORAGE at AndroidManifest.xml:19:1-76 duplicated with element declared at AndroidManifest.xml:11:1-77
Warning: Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:31:3-78:17 Warning:
application@android:label was tagged at AndroidManifest.xml:31 to replace other declarations but no other declaration present
Warning: Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:32:5-38:16 Warning:
activity#com.companyname.Fabled_Fray.RunnerActivity@android:label was tagged at AndroidManifest.xml:32 to replace other declarations but no other declaration present
Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:19:1-76 Warning:
Element uses-permission#android.permission.WRITE_EXTERNAL_STORAGE at AndroidManifest.xml:19:1-76 duplicated with element declared at AndroidManifest.xml:11:1-77
Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:31:3-78:17 Warning:
application@android:label was tagged at AndroidManifest.xml:31 to replace other declarations but no other declaration present
Z:\com.companyname.Fabled_Fray\src\main\AndroidManifest.xml:32:5-38:16 Warning:
activity#com.companyname.Fabled_Fray.RunnerActivity@android:label was tagged at AndroidManifest.xml:32 to replace other declarations but no other declaration present
:com.companyname.Fabled_Fray:processReleaseResources
:com.companyname.Fabled_Fray:generateReleaseSources
:com.companyname.Fabled_Fray:compileReleaseJavaWithJavacNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Z:\com.companyname.Fabled_Fray\src\main\java\com\companyname\Fabled_Fray\Gamepad\Gamepad.java uses unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:com.companyname.Fabled_Fray:compileReleaseNdk UP-TO-DATE
:com.companyname.Fabled_Fray:compileReleaseSources
:com.companyname.Fabled_Fray:lintVitalRelease
:com.companyname.Fabled_Fray:transformClassesWithJarMergingForRelease FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':com.companyname.Fabled_Fray:transformClassesWithJarMergingForRelease'.
> com.android.build.api.transform.TransformException: java.util.zip.ZipException: duplicate entry: org/apache/http/ConnectionClosedException.class

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 13.926 secs
FastCreate End End: 1:29:44 PM
Compile finished: 1:29:44 PM

I did block out some personal information and some audio information as well a recurring information where you can infer, but that's it and I inserted into the log where I removed the information and colored the font in yellow with all caps...

I think you'll find that the Lint report will be empty (if it is created) as the error you are getting fires well before Lint begins it's scanning process.

Your new log shows that the http.client issue has been resolved for the Licensing Extension, though there is a problem while merging due to duplicate Apache dependencies.

So this tells you there is another instance of the Apache library being injected into your Gradle dependencies.
>>Play APK Expansion Extension<<
If you look at the Play APK Expansion Extension injections, you'll notice that it is indeed calling for org.apache.http.legacy.jar.
You will need to remove this as it compiles the apache.http.legacy library jar, which will conflict with the adjustments currently required by the Licensing Extension.

So to put it all into a step by step list.

- Open the Google Play Licensing Extension and make sure you only have the following line in it's Gradle dependencies:
Code:
compile 'org.jbundle.util.osgi.wrapped:org.jbundle.util.osgi.wrapped.org.apache.http.client:4.1.2'
- Open the Play APK Expansion Extension and remove the Apache library injection. Adjust it's Gradle dependencies so it matches the following:
Code:
compile project(':library')
- While you're at it, go to Preferences >> General, and change your 'Temp directory' and 'Asset cache directory' to a shorter path to avoid future issues with Extension directory lengths.
eg.
Temp directory C:\GMtemp
Asset cache directory C:\GMtemp\cache

- clear cache (broom icon) and save your project.
- compile.
- post full log here.

Are you using any other Extension in your project?

Also feel free to update:
Google Play APK Expansion Library (rev 3)
Google Play Licensing Library (rev 2)

in your SDK. They will have no effect on projects not using them, and the projects which do use them should have access to the latest revisions.
There is no GM:S compatibility issues with these revisions.
 
T

TheMatrixHasMe

Guest
@jackhigh24 Thanks for all your help, I appreciate it.

@PlayLight I think that finally did it. I have here a successful build. It didn't work at first and I had to tweak something but that was the fix, what you said to do. So thanks! Thanks to everyone. This has been an on going problem for me for what seems like forever now and it's nice to feel some relief and have a successful build.
 
P

PlayLight

Guest
@jackhigh24 Thanks for all your help, I appreciate it.

@PlayLight I think that finally did it. I have here a successful build. It didn't work at first and I had to tweak something but that was the fix, what you said to do. So thanks! Thanks to everyone. This has been an on going problem for me for what seems like forever now and it's nice to feel some relief and have a successful build.
No worries! ;)

mark this as 'solved' if that's all the errors you were getting.
 
T

TheMatrixHasMe

Guest
No worries! ;)

mark this as 'solved' if that's all the errors you were getting.
I wanted to but I can't find the option. Maybe it's the new forums or just operator error but I even ctrl+f for the word solved but couldn't find any way to mark it as solved.
 

bsabiston

Member
I am getting this error now, trying to compile for Android. Is there a list somewhere of all the required Android packages and their versions? I updated everything in my SDK manager, cleaned the project, but I still get that error. I see a reference here to APK expansion Library and Google Play Licensing Library -- I never had these installed before and was able to make Android games. I tried installing them just now, but the revisions are both 1 -- how do I update them to 3 and 2? It doesn't recognize that there are updates to them.
Thanks
Bob
 
T

TheMatrixHasMe

Guest
I am getting this error now, trying to compile for Android. Is there a list somewhere of all the required Android packages and their versions? I updated everything in my SDK manager, cleaned the project, but I still get that error. I see a reference here to APK expansion Library and Google Play Licensing Library -- I never had these installed before and was able to make Android games. I tried installing them just now, but the revisions are both 1 -- how do I update them to 3 and 2? It doesn't recognize that there are updates to them.
Thanks
Bob
What version do you have of gamemaker studio? I'm not sure but they may have fixed this issue in the latest download. If not then try using the injection that they gave me above as that was what worked for me.
 

bsabiston

Member
I think I have the current version. In fact, updating it is what broke my Android export! I will take a look at this injection thing, thanks. I don't have much hope of it working, though.

What about getting the APK expansion Library and Google Play Licensing Library to update to Rev 3 and 2? Both of mine are at 1 in my SDK manager and I don't see any option to update them.

Thanks
Bob
 
T

TheMatrixHasMe

Guest
I think I have the current version. In fact, updating it is what broke my Android export! I will take a look at this injection thing, thanks. I don't have much hope of it working, though.

What about getting the APK expansion Library and Google Play Licensing Library to update to Rev 3 and 2? Both of mine are at 1 in my SDK manager and I don't see any option to update them.

Thanks
Bob
You think you have the most current version or you know?

Here is the most recent of the ea versions...what do you use, stable or ea?
http://store.yoyogames.com/downloads/gm-studio-ea/release-notes-studio.html

This is one of the patches in the newest release:
"Extensions: AndroidManifest.xml wrong injection"

Anyhow, even if you don't have the most recent download or you do, the manual injection done above should work.
The injection should work if you do it correctly.
 
Last edited by a moderator:

bsabiston

Member
I have V.1.4.1763. Christ they make it hard to determine the current version on their site. I actually had to begin re-downloading it and look at the filename. But it's the current stable version, yes.
Are you talking about the Early Access version or stable?

EDIT: Hm from your link that I see now, you are talking about the Early Access version? So the "stable" version is not really working for Android export?

Thanks
Bob
 
T

TheMatrixHasMe

Guest
I have V.1.4.1763. Christ they make it hard to determine the current version on their site. I actually had to begin re-downloading it and look at the filename. But it's the current stable version, yes.
Are you talking about the Early Access version or stable?

EDIT: Hm from your link that I see now, you are talking about the Early Access version? So the "stable" version is not really working for Android export?

Thanks
Bob
It's not too hard to follow the versions once you figure out what's going on but I understand your frustration. Anyhow, I looked at the stable release and you are up to date on that but the patch for this doesn't seem to have hit the stable release yet. However it is on that top ea release if you want that. Other than that if you don't want to switch them do the gradle injection.
 

bsabiston

Member
I'm updating to the newest EA release right now -- so you are saying that it does not require the injection thing? I will try it -- thanks!
Bob
 
T

TheMatrixHasMe

Guest
I'm updating to the newest EA release right now -- so you are saying that it does not require the injection thing? I will try it -- thanks!
Bob
As far as I'm aware. The injection worked for me so I never had to find out but I followed the bug report on that update and it seems it was the same problem that they fixed.
 

bsabiston

Member
I updated -- now it gives me an error "keystore file does not exist"? Have you ever gotten that before?

Edit: Hm I guess I never used EA to make an Android YYC build before. I copied over the keystore from the regular GMS folder and it is compiling now... we'll see if it works, fingers crossed.

Bob
 

bsabiston

Member
It didn't work. I don't know if the exact errors are the same or not. I feel like there's probably something wrong with my SDK installation, since I haven't got those Rev numbers to match. Here's the output I get of the failure:

:library:compileReleaseJavaWithJavac

:library:compileReleaseJavaWithJavac - is not incremental (e.g. outputs have changed, no previous execution, etc.).

R:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:20: error: package org.apache.http does not exist

import org.apache.http.NameValuePair;

^

R:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:21: error: package org.apache.http.client.utils does not exist

import org.apache.http.client.utils.URLEncodedUtils;

^

R:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:19: error: package org.apache.http does not exist

import org.apache.http.NameValuePair;

^

R:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:20: error: package org.apache.http.client.utils does not exist

import org.apache.http.client.utils.URLEncodedUtils;

^

R:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:382: error: cannot find symbol

List<NameValuePair> extraList = URLEncodedUtils.parse(rawExtras, "UTF-8");

^

symbol: class NameValuePair

location: class APKExpansionPolicy

R:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:382: error: cannot find symbol

List<NameValuePair> extraList = URLEncodedUtils.parse(rawExtras, "UTF-8");

^

symbol: variable URLEncodedUtils

location: class APKExpansionPolicy

R:\library\src\com\google\android\vending\licensing\APKExpansionPolicy.java:383: error: cannot find symbol

for (NameValuePair item : extraList) {

^

symbol: class NameValuePair

location: class APKExpansionPolicy

R:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:266: error: cannot find symbol

List<NameValuePair> extraList = URLEncodedUtils.parse(rawExtras, "UTF-8");

^

symbol: class NameValuePair

location: class ServerManagedPolicy

R:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:266: error: cannot find symbol

List<NameValuePair> extraList = URLEncodedUtils.parse(rawExtras, "UTF-8");

^

symbol: variable URLEncodedUtils

location: class ServerManagedPolicy

R:\library\src\com\google\android\vending\licensing\ServerManagedPolicy.java:267: error: cannot find symbol

for (NameValuePair item : extraList) {

^

symbol: class NameValuePair

location: class ServerManagedPolicy

Note: R:\library\src\com\google\android\vending\licensing\LicenseChecker.java uses or overrides a deprecated API.

Note: Recompile with -Xlint:deprecation for details.

10 errors

:library:compileReleaseJavaWithJavac FAILED



FAILURE: Build failed with an exception.



* What went wrong:

Execution failed for task ':library:compileReleaseJavaWithJavac'.

> Compilation failed; see the compiler error output for details.
 
T

TheMatrixHasMe

Guest
@bsabiston Hmm, yeah those actually do look familiar. I was getting those before I injected the gradle. Which EA version did you download?
 

bsabiston

Member
v. 1.99.505 -- it actually prompted me to update it when I launched the EA version. According to that link you posted, it's the most recent.
 
T

TheMatrixHasMe

Guest
v. 1.99.505 -- it actually prompted me to update it when I launched the EA version. According to that link you posted, it's the most recent.
Okay then you are going to have to do the gradle injection then.

Go to the Extension Group in your gamemaker folders. It's a couple of groups below Rooms.

If you double click on the extensions for PlayAPKExpansionExtension and GooglePlayLicensingAsExt (not the child .ext files) an overlay will
pop up that says "Edit Extension Package Properties". Click on the Android tab and you'll see the area below that says "Inject to Gradle dependencies". Now that you have found this and know where this area is for each extension, follow the instructions below.

- Open the Google Play Licensing Extension and make sure you only have the following line in it's Gradle dependencies:
Code:
compile 'org.jbundle.util.osgi.wrapped:eek:rg.jbundle.util.osgi.wrapped.org.apache.http.client:4.1.2'
- Open the Play APK Expansion Extension and remove the Apache library injection. Adjust it's Gradle dependencies so it matches the following:
Code:
compile project(':library')
 

bsabiston

Member
OK I will try it, thanks -- but you don't think it has anything to do with those two libraries not having the correct revision number?
 
T

TheMatrixHasMe

Guest
OK I will try it, thanks -- but you don't think it has anything to do with those two libraries not having the correct revision number?
I never actually figured out how to update those lol
I'm not sure but Google may have reverted the packages on their latest download or something. It was a pretty frustrating mystery to be honest. I cleared cache for the sdk several times and tried everything and couldn't get it to download latest revisions. Even tried searching for the folder/file manually online but to no avail. The injections worked though.
 

bsabiston

Member
OK. So, I actually only have the GooglePlayLicensingAsExt Extension. I don't have the PlayAPKExpansionExtension -- maybe that is a problem? I've never needed it before, but it has been a couple of months since I updated my Android version. Is that a new requirement?

Also -- to make sure I am following your instructions right -- you say "make sure you only have the following line in the Gradle dependencies". Right now, I have nothing in any of those boxes. Does that mean I am supposed to add the line you have listed above?

Thanks for helping me out with this!
Bob
 
T

TheMatrixHasMe

Guest
@bsabiston I suppose if you don't need the expansion (your game size isn't over 100 mb) you shouldn't need it. I don't think it's integral, but my game is over the 100 meg size. However, if you only need the licensing extension you probably only need to do the first injections. And yeah, if nothing else is in there then just paste the line in the code box into the empty space.

If that doesn't work then try downloading the expansion extension and following the instructions for that .

edit: So when you go into your android global game settings which boxes are checked off?
 

bsabiston

Member
Hmm. It failed again, but this time with a different error:



FAILURE: Build failed with an exception.



* What went wrong:

A problem occurred configuring project ':com.flatblack.Lowlander'.

> A problem occurred configuring project ':library'.

> Could not resolve all dependencies for configuration ':library:_debugCompile'.

> Could not find org.jbundle.util.osgi.wrapped:eek:rg.jbundle.util.osgi.wrapped.org.apache.http.client.

Searched in the following locations:

https://jcenter.bintray.com/org/jbundle/util/osgi/wrapped/eek/rg.jbundle.util.osgi.wrapped.org.apache.http.client/eek-rg.jbundle.util.osgi.wrapped.org.apache.http.client.pom

https://jcenter.bintray.com/org/jbundle/util/osgi/wrapped/eek/rg.jbundle.util.osgi.wrapped.org.apache.http.client/eek-rg.jbundle.util.osgi.wrapped.org.apache.http.client-4.1.2.jar

file:/E:/Android/android-sdk/extras/android/m2repository/org/jbundle/util/osgi/wrapped/eek/rg.jbundle.util.osgi.wrapped.org.apache.http.client/eek-rg.jbundle.util.osgi.wrapped.org.apache.http.client.pom

file:/E:/Android/android-sdk/extras/android/m2repository/org/jbundle/util/osgi/wrapped/eek/rg.jbundle.util.osgi.wrapped.org.apache.http.client/eek-rg.jbundle.util.osgi.wrapped.org.apache.http.client-4.1.2.jar

file:/E:/Android/android-sdk/extras/google/m2repository/org/jbundle/util/osgi/wrapped/eek/rg.jbundle.util.osgi.wrapped.org.apache.http.client/eek-rg.jbundle.util.osgi.wrapped.org.apache.http.client.pom

file:/E:/Android/android-sdk/extras/google/m2repository/org/jbundle/util/osgi/wrapped/eek/rg.jbundle.util.osgi.wrapped.org.apache.http.client/eek-rg.jbundle.util.osgi.wrapped.org.apache.http.client-4.1.2.jar

Required by:

:library:unspecified



I don't suppose that looks familiar? I guess I'll try adding that other library and see if it helps.
 
T

TheMatrixHasMe

Guest
@bsabiston when you click resources, change global game settings, android/fire tab, then extras tab, what do you have checked off?

edit: also, looking at the errors I'm wondering if you injected into the gradle the right text.

you're only supposed to inject this into the licensing extension
Code:
compile 'org.jbundle.util.osgi.wrapped:eek:rg.jbundle.util.osgi.wrapped.org.apache.http.client:4.1.2'
 

bsabiston

Member
Just "Enable Google Licensing". I don't have checked the "Use APK Expansion" or OUYA boxes.

I did notice that my GooglePlayLicensingAsExt version was 2.2.0 and the newest one is 2.2.1. I switched it out and am trying a new compile. The Android YYC compile takes so long compared to the other platforms ...
 
T

TheMatrixHasMe

Guest
Just "Enable Google Licensing". I don't have checked the "Use APK Expansion" or OUYA boxes.

I did notice that my GooglePlayLicensingAsExt version was 2.2.0 and the newest one is 2.2.1. I switched it out and am trying a new compile. The Android YYC compile takes so long compared to the other platforms ...
Okay, and make sure you do the gradle injection correctly as the edit above your last message states.

edit: I actually have 2.2.0 also and I looked, the 2.2.1 has a patch for the most recent stable version but we are on ea versions so it probably isn't the issue considering I'm on 2.2.0 and I work fine.
 
Last edited by a moderator:

bsabiston

Member
HOLY SH*T I think it worked! I did not believe it would. Wow I am stunned.

BTW I think when I installed that new version of the APK Expansion, it already had that injection in there. Unless it remembered it from my previous version.

Anyway, thank you SO MUCH for helping with that! Gamemaker, man. It is always something.

Bob
 
Top